package com.zbf.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zbf.system.domain.AppVersions;
import com.zbf.system.mapper.AppVersionsMapper;
import com.zbf.system.service.IAppVersionsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class AppVersionsServiceImpl extends ServiceImpl<AppVersionsMapper, AppVersions> implements IAppVersionsService{
    @Autowired
    private AppVersionsMapper appVersionsMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public AppVersions selectAppVersionsById(Long id)
    {
        return appVersionsMapper.selectAppVersionsById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appVersions 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<AppVersions> selectAppVersionsList(AppVersions appVersions)
    {
        return appVersionsMapper.selectAppVersionsList(appVersions);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param appVersions 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertAppVersions(AppVersions appVersions)
    {
        return appVersionsMapper.insertAppVersions(appVersions);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param appVersions 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateAppVersions(AppVersions appVersions)
    {
        return appVersionsMapper.updateAppVersions(appVersions);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppVersionsByIds(Long[] ids)
    {
        return appVersionsMapper.deleteAppVersionsByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppVersionsById(Long id)
    {
        return appVersionsMapper.deleteAppVersionsById(id);
    }


    /**
     * 批量禁用
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int disabledAppVersionsByIds(Long[] ids) {
        return appVersionsMapper.disabledAppVersionsByIds(ids);
    }

    /**
     * 批量启用
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int enableAppVersionsByIds(Long[] ids) {
        return appVersionsMapper.enableAppVersionsByIds(ids);
    }

    /**
     * 修改状态
     *
     * @param appVersions 工序管理主键
     * @return 结果
     */
    @Override
    public int updateStatus(AppVersions appVersions) {
        return appVersionsMapper.updateAppVersions(appVersions);
    }
}
